Package com.massivecraft.factions.cmd.chest

## Class ChestLogsHandler

- java.lang.Object
- - com.massivecraft.factions.cmd.chest.ChestLogsHandler

All Implemented Interfaces:
  `org.bukkit.event.Listener`

    public class ChestLogsHandler
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.util.HashMap<java.lang.String,​java.util.List<java.lang.String>>` | `addMap` |
`static java.util.HashMap<java.lang.String,​java.util.List<java.lang.String>>` | `removeMap` |
`static java.util.HashMap<java.lang.String,​java.lang.Integer>` | `totalMap` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChestLogsHandler()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `fChestInventoryClick​(org.bukkit.event.inventory.InventoryClickEvent e)` |
`static int` | `getAll()` |
`static int` | `getAll​(java.lang.String uuid)` |
`java.lang.String` | `itemString​(org.bukkit.inventory.ItemStack itemStack)` |
`void` | `mapAdd​(java.lang.String uuid, java.lang.String string)` |
`void` | `mapRemove​(java.lang.String uuid, java.lang.String string)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### removeMap

    public static java.util.HashMap<java.lang.String,​java.util.List<java.lang.String>> removeMap

#### addMap

    public static java.util.HashMap<java.lang.String,​java.util.List<java.lang.String>> addMap

#### totalMap

    public static java.util.HashMap<java.lang.String,​java.lang.Integer> totalMap

### Constructor Detail

#### ChestLogsHandler

    public ChestLogsHandler()

### Method Detail

#### getAll

    public static int getAll​(java.lang.String uuid)

#### getAll

    public static int getAll()

#### mapAdd

    public void mapAdd​(java.lang.String uuid,
                       java.lang.String string)

#### mapRemove

    public void mapRemove​(java.lang.String uuid,
                          java.lang.String string)

#### itemString

    public java.lang.String itemString​(org.bukkit.inventory.ItemStack itemStack)

#### fChestInventoryClick

    public void fChestInventoryClick​(org.bukkit.event.inventory.InventoryClickEvent e)